Blacklist Import Details
GET
/api/v3/blacklist-contacts/import/details Base URL https://api.easify.liveBearer token and Accept header required Authentication →
The endpoint is used to retrieve the details of a single blacklist import history based on ID.
There is a rate limit of 60 requests per minute per API token. This limit is shared by all API endpoints except those with their own separate limit (/api/v2/sms/send, /api/v3/sms/send, etc.), so requests to other endpoints also count toward it. If you exceed this limit, you will receive a 429 Too Many Requests status, along with a message indicating when you can try again.
Query Parameters
| blacklist_contact_import_id integer |
ID of the import history to be retrieved Can be found in the response of blacklist-contacts/import and blacklist-contacts/import/list APIs.
|
Required |
Example Request and Response
params
{
"blacklist_contact_import_id": 1
}
Success Response:
{
"status": true,
"message": "Blacklist contact import details",
"data": {
"id": 1,
"file_name": "blacklist_import.csv",
"status": "Completed",
"progress_percentage": 100,
"total_count": 2,
"skipped_count": 2,
"stored_count": 0,
"created_at": "07-22-2025 02:20:17 AM"
}
}
Responses
| Case | Status Code | Response |
|---|---|---|
| If the user does not provide a token in the header or provides an invalid token | 401 |
{
"status":false,
"message":
"Unauthenticated",
"errors": []
}
|
| If the user exceeds the allowed rate limit for requests | 429 |
{
"status":false,
"message":"Too many requests. Try again in 59 seconds",
"errors":[]
}
|
| If the user's subscription has ended | 402 |
{
"status":false,"message":"You need to recharge your account to proceed","errors":[]
}
|
| If an invalid ID is sent | 400 |
{
"status": true,
"message": "Invalid blacklist contact import id",
"data": []
}
|
| If the limit exceeds maximum value | 422 |
{
"message": "The blacklist contact import id field is required.",
"errors": {
"blacklist_contact_import_id": [
"The blacklist contact import id field is required."
]
}
}
|
| When the user account is inactive | 403 |
{
"status": false,
"message": "Your account is currently inactive.",
"errors": []
}
|
| If the request comes from an IP address or domain that is not on the account's API whitelist | 400 |
{
"status": false,
"message": "Access denied! Your IP or domain is not whitelisted.[ HostName : ] - [ Ip Address : << YOUR_SERVER_IP >>]",
"errors": []
}
|
Code Examples
Fetch blacklist import details
php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => 'https://api.easify.live/api/v3/blacklist-contacts/import/details?blacklist_contact_import_id=1',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer <> ',
'Accept: application/json',
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;